Description

I am using Redmine1.1 (ruby 1.8.7 (2009-06-12 patchlevel 174) [x86_64-linux], Rails 3.0.3). After the Installation of Redmine

Extended Profile I am unable to Add watchers in the Bug or issue. I tried to add two watchers and i am getting this error. Please let

me know how to solve this?

ranslation missing: en.field_watcher_users is invalid

translation missing: en.field_watcher_users is invalid

Let me know any other information required from my side.

History

#1 - 22 Sep 2011 15:19 - Andriy Lesyuk

- Subject changed from After Installation of Extened Profile to Invalid users (missing profile data?)

- Status changed from New to Open

Hi!

Thank you for reporting this bug!

My guess is that users do not have profile data and there for cannot be added as watchers. Seems it can be resolved by:

Opening profile of such user (edit mode)

Just saving it (no changes needed)

See also: http://www.redmine.org/issues/5373

Will try to add migration script to the plugin soon. Meanwhile could you please try this (with no changes made to profiles)?

#2 - 22 Sep 2011 15:24 - Andriy Lesyuk

Also please answer the question: Do you require users to specify project of interest?

#3 - 19 Oct 2011 07:52 - Andriy Lesyuk

Looks like this happens only to new issues, right?

#4 - 19 Oct 2011 08:01 - Kishore J

I faced issue with all the existing users. I tried your above solution and it worked out. I opened all users My account and saved. Now I am able to add

watchers.
#5 - 19 Oct 2011 08:25 - Andriy Lesyuk

- Due date set to 19 Oct 2011

- Status changed from Open to Closed

- % Done changed from 0 to 100

Thanks, Kishore!

I have just added a migration script which does the same - adds empty profiles to users missing one  if one requires project of interest).

This change is available in SVN (I’m preparing for releasing 0.0.3).
